CQTEST(8C)

NAME
cqtest - HylaFAX copy quality checking test program

SYNOPSIS
/usr/sbin/cqtest [ options ] input.tif

DESCRIPTION
cqtest is a program for testing the copy quality checking support in the HylaFAX software (specifically, in the faxgetty(8C) program). cqtest takes a TIFF/F (TIFF Class F) file and generates a new TIFF/F file that is a copy of the input file, but with any erroneous scanlines replaced/regenerated. In addition, cqtest prints diagnostic messages describing its actions and indicates whether the input data has acceptable copy quality according to the copy quality checking threshold parameters. Options are provided for specifying copy quality checking threshold parameters

OPTIONS

-m badlines
    Set the maximum consecutive bad lines of data that may appear in each acceptable page of input data. This is equivalent to the MaxConsecutiveBadLines configuration parameter; c.f. hylafax-config(5F). By default cqtest accepts no more than 5 consecutive bad lines in a page.

-o file
    Write output to file. By default output is written to the file cq.tif.

-p %goodlines
    Set the minimum percentage of ``good lines'' of data that may appear in acceptable page of input data. A line is good if it decodes without error to a row of pixels that is the expected width. This is equivalent to the PercentGoodLines configuration parameter; c.f. hylafax-config(5F). By default cqtest requires that 95% of the rows of each page be good.

EXAMPLES
The following shows a multi-page, high-resolution document with a single error on each page. Each page has acceptable copy quality using the default threshold parameters.

hyla% /usr/sbin/cqtest ~/tiff/pics/faxix.tif
1728 x 297, 7.7 line/mm, 1-D MH, lsb-to-msb
RECV/CQ: Bad 1D pixel count, row 245, got 1616, expected 1728
RECV: 2234 total lines, 1 bad lines, 1 consecutive bad lines
1728 x 297, 7.7 line/mm, 1-D MH, lsb-to-msb
RECV/CQ: Bad 1D pixel count, row 148, got 3023, expected 1728
RECV: 2234 total lines, 1 bad lines, 1 consecutive bad lines
1728 x 297, 7.7 line/mm, 1-D MH, lsb-to-msb
RECV/CQ: Bad 1D pixel count, row 151, got 1722, expected 1728
RECV: 2234 total lines, 1 bad lines, 1 consecutive bad lines
1728 x 297, 7.7 line/mm, 1-D MH, lsb-to-msb
RECV/CQ: Bad 1D pixel count, row 148, got 1776, expected 1728
RECV: 2234 total lines, 1 bad lines, 1 consecutive bad lines

SEE ALSO
faxgetty(8C), hylafax-config(5F)